CREATE TABLE fa_lease_expense_events (
    LEASE_EXPENSE_EVENT_ID      NUMBER(18, 0),
    BOOK_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    ASSET_ID                    NUMBER(18, 0)    NOT NULL,
    PERIOD_COUNTER              NUMBER(18, 0)    NOT NULL,
    LEDGER_ID                   NUMBER(18, 0)    NOT NULL,
    LEASE_RUN_ID                NUMBER(18, 0)    NOT NULL,
    LEASE_EXPENSE_SUMMARY_ID    NUMBER(18, 0),
    EVENT_ID                    NUMBER(18, 0)    NOT NULL,
    REVERSAL_EVENT_ID           NUMBER(18, 0),
    REVERSAL_DATE               DATE         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    LEASE_EXPENSE_EVENT_ID      NUMBER(18, 0),
    BOOK_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    ASSET_ID                    NUMBER(18, 0)    NOT NULL,
    PERIOD_COUNTER              NUMBER(18, 0)    NOT NULL,
    LEDGER_ID                   NUMBER(18, 0)    NOT NULL,
    LEASE_RUN_ID                NUMBER(18, 0)    NOT NULL,
    LEASE_EXPENSE_SUMMARY_ID    NUMBER(18, 0),
    EVENT_ID                    NUMBER(18, 0)    NOT NULL,
    REVERSAL_EVENT_ID           NUMBER(18, 0),
    REVERSAL_DATE               DATE         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fa_lease_expense_events PRIMARY KEY (LEASE_EXPENSE_EVENT_ID, LEASE_EXPENSE_EVENT_ID)
);
